Katello - Bug #6283

Katello ping controller executes init scripts
06/19/2014 10:11 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: API
Target version: Katello 2.0
Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1105085 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/456
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1105085

Model class app/models/katello/ping.rb executes /etc/init.d/katello-jobs. This is security concern.

| am allowing this in our SELinux policy for now, because katello-jobs service will be removed for GA and it will be replaced by
dynflow engine. All other services are checked with their API, | expect the same for dynflow so no services are needed to be

executed at all.

Please remove this exec for GA once dynflow engine replace katello-jobs. Once this task is done, please raise a BZ on SELinux

component to remove the rules.

PM: Please waive this for GA not Beta.

Related issues:
Blocks SELinux - Refactor #6284: Remove Passenger/init_exec_script_files policy
Blocked by Katello - Refactor #6297: Remove katello-jobs

Closed
Closed 06/19/2014

Associated revisions

Revision b58a527e - 08/19/2014 06:28 AM - lvan Necas

Fixes #6283 - Use the Dynflow API to find out if the foreman_tasks is running

Instead of spawning process to find out the katello jobs was running

History

#1 - 06/19/2014 10:12 AM - Dominic Cleal

- Blocks Refactor #6284: Remove Passenger/init_exec_script _files policy added

#2 - 07/07/2014 01:13 PM - Eric Helms
- Blocked by Refactor #6297: Remove katello-jobs added

#3 - 07/07/2014 01:13 PM - Eric Helms
- Target version set to 49
- Difficulty set to medium

- Triaged set to Yes

#4 - 07/24/2014 02:49 PM - Christine Fouant

- Assignee set to Christine Fouant

#5 - 07/24/2014 02:49 PM - Christine Fouant

- Status changed from New to Assigned
https://bugzilla.redhat.com/show_bug.cgi?id=1105085

#6 - 07/28/2014 08:42 AM - Eric Helms

- Target version changed from 49 to 54

#7 - 08/05/2014 10:07 AM - Ivan Necas

- Assignee changed from Christine Fouant to Ivan Necas

#8 - 08/15/2014 01:28 PM - Eric Helms
- Pull request https://github.com/Katello/katello/pull/4564 added
- Pull request deleted ()

#9 - 08/15/2014 01:28 PM - Eric Helms
- Status changed from Assigned to Ready For Testing

#10 - 08/18/2014 08:31 AM - Eric Helms

- Target version changed from 54 to 55

#11 - 08/18/2014 08:41 AM - Eric Helms

- translation missing: en.field_release set to 13

#12 - 08/20/2014 08:01 AM - lvan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|b58a527ec655066f636213ac93143f3baef6e218.
